# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Module/Build.pm) perl(Test/More.pm)
# END SourceDeps(oneline)
%define module_version 0.01
%define module_name Acme-AllThePerlIsAStage
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.01
Release: alt1
Summary: Grok perl stages for scripts and modules under use and require.uncompiled and compiled
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/D/DM/DMUEY/%{module_name}-%{module_version}.tar.gz
BuildArch: noarch

%description
Sometimes the stages involved in perl.e's execution can be hard to grasp. It gets even hairier when you start compiling your code.

When trying to explain and then demonstrate what was happening I found myself writing scripts and modules to output what perl is doing where in order to find out if my understanding lined up with reality. Then to see how reality held up once compiled with perlcc.

Finally, making a set up every few months got old and I thought I.e'd put it all on CPAN for the masses to enjoy/ignore.
%prep
%setup -n %{module_name}-%{module_version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Fri May 22 2015 Igor Vlasenko <viy@altlinux.ru> 0.01-alt1
- initial import by package builder

